import request from '@/utils/request'


export function testMessage() {
  return request({
    url: '/car/messageInfo/test',
    method: 'get'
  })
}
// 查询车辆报文记录列表
export function listMessage(query) {
  return request({
    url: '/car/messageInfo/list',
    method: 'get',
    params: query
  })
}

// 查询车辆报文记录详细
export function getMessage(id) {
  return request({
    url: '/car/messageInfo/' + id,
    method: 'get'
  })
}

// 新增车辆报文记录
export function addMessage(data) {
  return request({
    url: '/car/messageInfo',
    method: 'post',
    data: data
  })
}

// 修改车辆报文记录
export function updateMessage(data) {
  return request({
    url: '/car/messageInfo',
    method: 'put',
    data: data
  })
}

// 删除车辆报文记录
export function delMessage(id) {
  return request({
    url: '/car/messageInfo/' + id,
    method: 'delete'
  })
}
